Create a completion
POST
/v1/registration-invitations/completionscurl -X POST 'https://api.embodiflow.io/v1/registration-invitations/completions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"token": "string",
"password": "string",
"displayName": "string"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Request body
Content-Typeapplication/json
- tokenstringrequired
- passwordstringrequired
- displayNamestring
Responses
Success
- dataobjectrequired
- userobjectrequired
- membershipsarray<MembershipSummaryDto>required
- currentMembershipIdstring | nullrequired
- csrfTokenstring
- mustRotatePasswordone of
- mfaEnrollmentRequiredone of
- mfaEnrollmentGraceExpiresAtstring | null
- effectivePasswordPolicyone of
- tenantPermissionsarray<string>
- metaobjectrequired
- requestIdstringrequired
Response example
{
"data": {
"user": {
"id": "string",
"email": "string",
"displayName": "string",
"avatarUrl": "string",
"hasPassword": false,
"status": "string",
"lastLoginAt": "string",
"emailVerifiedAt": "string",
"handle": "string"
},
"memberships": [
{
"id": "string",
"tenantId": "string",
"tenant": {
"id": "string",
"slug": "string",
"name": "string",
"status": "string",
"storageKey": "string",
"handle": "string",
"ref": "string",
"url": "string"
},
"role": "string",
"status": "string",
"joinedAt": "string"
}
],
"currentMembershipId": "string",
"csrfToken": "string",
"mustRotatePassword": false,
"mfaEnrollmentRequired": false,
"mfaEnrollmentGraceExpiresAt": "string",
"effectivePasswordPolicy": {
"minLength": 8,
"maxLength": 128,
"requireCharacterClasses": false,
"allowPasswordManagerPaste": true,
"periodicRotation": false,
"profile": "default",
"breachedPasswordCheckEnabled": false
},
"tenantPermissions": "project:read"
},
"meta": {
"requestId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1